# docker buildx debug-shell

<!---MARKER_GEN_START-->
Start a monitor

### Options

| Name              | Type     | Default | Description                                                                              |
|:------------------|:---------|:--------|:-----------------------------------------------------------------------------------------|
| `--builder`       | `string` |         | Override the configured builder instance                                                 |
| `--detach`        |          |         | Detach buildx server (supported only on linux)                                           |
| `--progress`      | `string` | `auto`  | Set type of progress output (`auto`, `plain`, `tty`). Use plain to show container output |
| `--root`          | `string` |         | Specify root directory of server to connect                                              |
| `--server-config` | `string` |         | Specify buildx server config file (used only when launching new server)                  |


<!---MARKER_GEN_END-->

